пятница, 6 ноября 2009 г.

Qt Creator и баги в GDB 7.0

Все наверное и так знают, но я тут все равно напишу, чтобы не искать потом по архивам мэйллистов Qt.

Qt Creator не может работать с GDB 7.0 по причине ошибок в новом GDB. Как указал Andre Poenitz, первая ошибка не позволяет использовать debugging helpers, из-за второй GDB не работает с классами с bitfields, а это, например, QObject и контейнеры.

Поэтому всем, кто проапгрейдился до Ubuntu 9.10 (Karmic), Qt предлагает поставить старый GDB 6.8, например этот пакет из Ubuntu Janity. Рецепт должен работать до Qt Creator 1.3 включительно.

Комментариев нет:

Отправить комментарий